Subject: Re: [BUG?] applypatch-msg hook no-longer thinks stdin is a tty

From: Junio C Hamano <[email-masked]>
Date: Fri, 02 Oct 2015 09:03:36 -0700

Chris Packham <[email-masked]> writes:

> As of git 2.6 this has stopped working and stdin always fails the tty
> check.

We now run that hook thru run_hook_ve(), which closes the standard
input (as the hook is not reading anything).  Perhaps you can check
if your output is connected to the tty instead?